# List phone numbers (/docs/api-reference/phone-numbers/listPhoneNumbers)

> Retrieve all phone numbers associated with your account.



**GET** `/phone_number/list`

Retrieve all phone numbers associated with your account.

```yaml
operationId: listPhoneNumbers
parameters:
  - name: pageno
    in: query
    schema:
      type: integer
      default: 1
  - name: pagesize
    in: query
    schema:
      type: integer
      default: 30
      maximum: 150
responses:
  '200':
    description: Paginated phone numbers.
    content:
      application/json:
        schema:
          type: object
          properties:
            success:
              type: boolean
            phone_numbers:
              type: array
              items:
                type: object
                description: A phone number on the account.
                properties:
                  id:
                    type: integer
                    example: 3360
                  name:
                    type: string
                  user_id:
                    type: integer
                  user_name:
                    type: string
                  phone_number:
                    type: string
                    example: '+15551234567'
                  active_bot_id:
                    oneOf:
                      - type: integer
                      - type: boolean
                    description: ID of the agent currently attached to this number, or `false` if none.
                  purchase_date:
                    type: string
                    example: 05/01/2026 11:04:56
                  expiry_date:
                    oneOf:
                      - type: string
                      - type: boolean
                  location:
                    type: string
                  number_provider:
                    type: string
                    enum:
                      - twilio
                      - exotel
                      - sip
                      - cloud_whatsapp
                  number_source:
                    type: string
                  is_manually_imported:
                    type: boolean
                  can_message:
                    type: boolean
                  call_sid:
                    oneOf:
                      - type: string
                      - type: boolean
                  session_start_time:
                    oneOf:
                      - type: string
                      - type: 'null'
                  telephony_did_id:
                    oneOf:
                      - type: integer
                      - type: 'null'
                  health_score:
                    oneOf:
                      - type: number
                      - type: 'null'
                  health_score_computed_at:
                    oneOf:
                      - type: string
                      - type: 'null'
                  health_score_details:
                    oneOf:
                      - type: object
                      - type: 'null'
                  sip_host:
                    oneOf:
                      - type: string
                      - type: boolean
                  sip_port:
                    oneOf:
                      - type: string
                      - type: boolean
                  sip_username:
                    oneOf:
                      - type: string
                      - type: boolean
                  sip_password:
                    oneOf:
                      - type: string
                      - type: boolean
                  sip_trunk_name:
                    oneOf:
                      - type: string
                      - type: boolean
                  sip_id:
                    oneOf:
                      - type: string
                      - type: boolean
                  exotel_phone_number:
                    oneOf:
                      - type: string
                      - type: boolean
                  exotel_api_key:
                    oneOf:
                      - type: string
                      - type: boolean
                  exotel_api_token:
                    oneOf:
                      - type: string
                      - type: boolean
                  exotel_subdomain:
                    oneOf:
                      - type: string
                      - type: boolean
                  exotel_account_sid:
                    oneOf:
                      - type: string
                      - type: boolean
                  exotel_app_id:
                    oneOf:
                      - type: string
                      - type: boolean
                  is_phone_wa:
                    type: boolean
                  is_cloud_wa:
                    type: boolean
                  wa_wbaid:
                    oneOf:
                      - type: string
                      - type: boolean
                  wa_app_id:
                    oneOf:
                      - type: string
                      - type: boolean
                  wa_business_id:
                    oneOf:
                      - type: string
                      - type: boolean
                  wa_access_token:
                    oneOf:
                      - type: string
                      - type: boolean
        example:
          success: true
          phone_numbers:
            - id: 213
              name: sales-line
              user_id: 1234
              user_name: Demo User
              phone_number: '+15551234567'
              can_message: false
              purchase_date: 04/02/2026 09:24:29
              active_bot_id: false
              location: US
              number_provider: sip
              call_sid: false
              exotel_api_key: false
              exotel_api_token: false
              exotel_subdomain: false
              exotel_account_sid: false
              exotel_phone_number: false
              exotel_app_id: false
              is_phone_wa: false
              session_start_time: null
              is_cloud_wa: false
              wa_wbaid: false
              wa_app_id: false
              wa_business_id: false
              wa_access_token: false
              sip_host: <redacted>
              sip_port: <redacted>
              sip_username: <redacted>
              sip_password: <redacted>
              sip_trunk_name: inbound-trunk
              sip_id: <redacted>
              number_source: imported
              is_manually_imported: false
              telephony_did_id: null
              expiry_date: ''
              health_score: null
              health_score_computed_at: null
              health_score_details: null
```

**Python SDK**

```python
import os
from omnidimension import Client

# Initialize the client
api_key = os.environ.get('OMNIDIM_API_KEY')
client = Client(api_key)

# List all phone numbers with pagination
response = client.phone_number.list(page=1, page_size=10)
print(response)
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/phone_number/list" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
